Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class TextPaintInfo

    java.lang.Object
      org.apache.batik.gvt.text.TextPaintInfo

    public class TextPaintInfo

extends Object

One line Class Desc Complete Class Desc

Field Summary
`Composite` | `composite`
`int` | `endChar`
`Paint` | `fillPaint`
`Paint` | `overlinePaint`
`Stroke` | `overlineStroke`
`Paint` | `overlineStrokePaint`
`int` | `startChar`
`Paint` | `strikethroughPaint`
`Stroke` | `strikethroughStroke`
`Paint` | `strikethroughStrokePaint`
`Paint` | `strokePaint`
`Stroke` | `strokeStroke`
`Paint` | `underlinePaint`
`Stroke` | `underlineStroke`
`Paint` | `underlineStrokePaint`
`boolean` | `visible`

Constructor Summary
`TextPaintInfo()`
`TextPaintInfo(TextPaintInfo pi)`

Method Summary
`static boolean` | `equivilent(TextPaintInfo tpi1, TextPaintInfo tpi2)`
`void` | `set(TextPaintInfo pi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### visible

    public boolean visible

### fillPaint

    public Paint fillPaint

### strokePaint

    public Paint strokePaint

### strokeStroke

    public Stroke strokeStroke

### composite

    public Composite composite

### underlinePaint

    public Paint underlinePaint

### underlineStrokePaint

    public Paint underlineStrokePaint

### underlineStroke

    public Stroke underlineStroke

### overlinePaint

    public Paint overlinePaint

### overlineStrokePaint

    public Paint overlineStrokePaint

### overlineStroke

    public Stroke overlineStroke

### strikethroughPaint

    public Paint strikethroughPaint

### strikethroughStrokePaint

    public Paint strikethroughStrokePaint

### strikethroughStroke

    public Stroke strikethroughStroke

### startChar

    public int startChar

### endChar

    public int endChar

Constructor Detail

### TextPaintInfo

    public TextPaintInfo()

### TextPaintInfo

    public TextPaintInfo(TextPaintInfo pi)

Method Detail

### set

    public void set(TextPaintInfo pi)

### equivilent

    public static boolean equivilent(TextPaintInfo tpi1,
                                     TextPaintInfo tpi2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.